# Class SmilesBond

java.lang.Object
org.jmol.util.Edge
org.jmol.smiles.SmilesBond

All Implemented Interfaces:
  `SimpleEdge`

public class SmilesBond extends Edge
Bond in a SmilesMolecule

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`isChain`
`static final int`
`TYPE_ANY`
`static final int`
`TYPE_AROMATIC`
`static final int`
`TYPE_BIO_CROSSLINK`
`static final int`
`TYPE_BIO_SEQUENCE`
`static final int`
`TYPE_NONE`
`static final int`
`TYPE_RING`
`static final int`
`TYPE_UNKNOWN`

### Fields inherited from class Edge

`BOND_AROMATIC, BOND_AROMATIC_DOUBLE, BOND_AROMATIC_MASK, BOND_AROMATIC_SINGLE, BOND_COVALENT_DOUBLE, BOND_COVALENT_MASK, BOND_COVALENT_QUADRUPLE, BOND_COVALENT_QUINTUPLE, BOND_COVALENT_sextuple, BOND_COVALENT_SINGLE, BOND_COVALENT_TRIPLE, BOND_H_CALC, BOND_H_CALC_MASK, BOND_H_MINUS_3, BOND_H_MINUS_4, BOND_H_NUCLEOTIDE, BOND_H_PLUS_2, BOND_H_PLUS_3, BOND_H_PLUS_4, BOND_H_PLUS_5, BOND_H_REGULAR, BOND_HBOND_SHIFT, BOND_HYDROGEN_MASK, BOND_NEW, BOND_ORDER_ANY, BOND_ORDER_NULL, BOND_ORDER_UNSPECIFIED, BOND_PARTIAL01, BOND_PARTIAL12, BOND_PARTIAL23, BOND_PARTIAL32, BOND_PYMOL_MULT, BOND_PYMOL_SCALE, BOND_RENDER_MASK, BOND_RENDER_SINGLE, BOND_STEREO_EITHER, BOND_STEREO_FAR, BOND_STEREO_NEAR, BOND_STRUT, BOND_SULFUR_MASK, index, order, TYPE_ATROPISOMER, TYPE_ATROPISOMER_REV`

## Constructor Summary

Constructors
Constructor
Description
`SmilesBond(SmilesAtom atom1, SmilesAtom atom2, int bondType, boolean isNot)`
SmilesBond constructor

## Method Summary

Modifier and Type
Method
Description
`SimpleNode`
`getAtom(int i)`
Get the respective atom, 0 or 1
`SmilesAtom`
`getAtom1()`
`int`
`getAtomIndex1()`
`int`
`getAtomIndex2()`
`int`
`getCovalentOrder()`
`Edge`
`getMatchingBond()`
`SmilesAtom`
`getOtherAtom(SmilesAtom a)`
`SimpleNode`
`getOtherNode(SimpleNode atom)`
`int`
`getRealCovalentOrder()`
`int`
`getValence()`
`boolean`
`isCovalent()`
`boolean`
`isHydrogen()`
`boolean`
`isPartial()`
`void`
`set2(int bondType, boolean isNot)`
`SmilesBond`
`setPrimitive(int i)`
`String`
`toString()`

### Methods inherited from class Edge

`getArgbHbondType, getAtropismNode, getAtropismOrder, getAtropismOrder12, getBondOrderFromFloat, getBondOrderFromString, getBondOrderNameFromOrder, getBondOrderNumberFromOrder, getBondType, getCIPChirality, getCmlBondOrder, getCovalentBondOrder, getFloatEncodedInt, getPartialBondDotted, getPartialBondOrder, getPartialBondOrderFromFloatEncodedInt, isAtropism, isOrderH, isStereo, setCIPChirality`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### TYPE_UNKNOWN

public static final int TYPE_UNKNOWN

See Also:
  - Constant Field Values

### TYPE_NONE

public static final int TYPE_NONE

See Also:
  - Constant Field Values

### TYPE_AROMATIC

public static final int TYPE_AROMATIC

See Also:
  - Constant Field Values

### TYPE_RING

public static final int TYPE_RING

See Also:
  - Constant Field Values

### TYPE_ANY

public static final int TYPE_ANY

See Also:
  - Constant Field Values

### TYPE_BIO_SEQUENCE

public static final int TYPE_BIO_SEQUENCE

See Also:
  - Constant Field Values

### TYPE_BIO_CROSSLINK

public static final int TYPE_BIO_CROSSLINK

See Also:
  - Constant Field Values

### isChain

public boolean isChain

## Constructor Details

### SmilesBond

public SmilesBond(SmilesAtom atom1, SmilesAtom atom2, int bondType, boolean isNot)
SmilesBond constructor

Parameters:
  `atom1` - First atom
  `atom2` - Second atom
  `bondType` - Bond type
  `isNot` -

## Method Details

### getAtom1

public SmilesAtom getAtom1()

### setPrimitive

public SmilesBond setPrimitive(int i)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### set2

public void set2(int bondType, boolean isNot)

### getValence

public int getValence()

### getOtherAtom

public SmilesAtom getOtherAtom(SmilesAtom a)

### getAtomIndex1

public int getAtomIndex1()

Specified by:
  `getAtomIndex1` in class `Edge`

### getAtomIndex2

public int getAtomIndex2()

Specified by:
  `getAtomIndex2` in class `Edge`

### getCovalentOrder

public int getCovalentOrder()

Specified by:
  `getCovalentOrder` in interface `SimpleEdge`
Specified by:
  `getCovalentOrder` in class `Edge`
Returns:
  the bond order 1-4 if it is covalent, or 0 if not.

### getOtherNode

public SimpleNode getOtherNode(SimpleNode atom)

### isCovalent

public boolean isCovalent()

Specified by:
  `isCovalent` in interface `SimpleEdge`
Specified by:
  `isCovalent` in class `Edge`

### isPartial

public boolean isPartial()

Overrides:
  `isPartial` in class `Edge`

### isHydrogen

public boolean isHydrogen()

Specified by:
  `isHydrogen` in class `Edge`

### getRealCovalentOrder

public int getRealCovalentOrder()

### getMatchingBond

public Edge getMatchingBond()

### getAtom

public SimpleNode getAtom(int i)
Description copied from interface: `SimpleEdge`
Get the respective atom, 0 or 1

Parameters:
  `i` -
Returns:
  SimpleNode